RequestTimeoutException (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.exceptions

## Class RequestTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.cassandra.exceptions.CassandraException
      - - org.apache.cassandra.exceptions.RequestExecutionException
        - - org.apache.cassandra.exceptions.RequestTimeoutException

- All Implemented Interfaces:
    java.io.Serializable, TransportException
  Direct Known Subclasses:
    ReadTimeoutException, WriteTimeoutException

      public class RequestTimeoutException
      extends RequestExecutionException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blockFor`
    `ConsistencyLevel` | `consistency`
    `int` | `received`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestTimeoutException(ExceptionCode code, ConsistencyLevel consistency, int received, int blockFor)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### consistency

          public final ConsistencyLevel consistency

    - #### received

          public final int received

    - #### blockFor

          public final int blockFor

  - ### Constructor Detail

    - #### RequestTimeoutException

          protected RequestTimeoutException(ExceptionCode code,
                                 ConsistencyLevel consistency,
                                 int received,
                                 int blockFor)

Copyright © 2014 The Apache Software Foundation